path: /build/build/qtwebkit-dev-qt-5-5.212.0_pre20200309-r2+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - USE="dbus evdev jpeg linuxfb vulkan egl" emerge qtgui -j
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-multimedia -orientation X geolocation gstreamer hyphen opengl printsupport qml webp" emerge dev-qt/qtwebkit:5 -pv -t && \
    USE="-multimedia -orientation X geolocation gstreamer hyphen opengl printsupport qml webp" emerge -j ${JOBS} --nodeps dev-qt/qtwebkit:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtwebkit && luet-portage --dir /pkgdir/qtwebkit
    dev-qt/qtwebkit:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:cbe0cdfe372513b4467b561b0728d7250b0a4ba271f682699ff0705cd51ba5cc
  package:
    name: qtwebkit
    version: 5.212.0_pre20200309-r2+2
    category: dev-qt-5
    use_flags:
    - -multimedia
    - -orientation
    - X
    - geolocation
    - gstreamer
    - hyphen
    - opengl
    - printsupport
    - qml
    - webp
    requires:
    - name: hyphen
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: WebKit rendering library for the Qt5 framework (deprecated)
    uri:
    - https://www.qt.io/
    license: BSD LGPL-2+
    buildtimestamp: 2023-09-02 14:00:19.428734163 +0000 UTC m=+4014.001951258
    labels:
      BDEPEND: '|| ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9
        dev-lang/python:3.7 ) || ( dev-lang/ruby:2.7 ) virtual/rubygems dev-lang/perl
        dev-util/gperf >=sys-devel/bison-2.4.3 sys-devel/flex virtual/pkgconfig dev-util/ninja
        dev-util/cmake'
      DEPEND: dev-db/sqlite:3 dev-libs/icu:= dev-libs/libxml2 dev-libs/libxslt >=dev-qt/qtcore-5.12.3:5
        >=dev-qt/qtgui-5.12.3:5 >=dev-qt/qtnetwork-5.12.3:5 >=dev-qt/qtwidgets-5.12.3:5=
        media-libs/libpng:0= media-libs/woff2 virtual/jpeg:0 geolocation? ( >=dev-qt/qtpositioning-5.12.3:5
        ) gstreamer? ( dev-libs/glib:2 media-libs/gstreamer:1.0 media-libs/gst-plugins-bad:1.0
        media-libs/gst-plugins-base:1.0 ) hyphen? ( dev-libs/hyphen ) multimedia?
        ( >=dev-qt/qtmultimedia-5.12.3:5[widgets] ) opengl? ( >=dev-qt/qtgui-5.12.3:5[gles2-only=]
        >=dev-qt/qtopengl-5.12.3:5[gles2-only=] ) orientation? ( >=dev-qt/qtsensors-5.12.3:5
        ) printsupport? ( >=dev-qt/qtprintsupport-5.12.3:5 ) qml? ( >=dev-qt/qtdeclarative-5.12.3:5
        >=dev-qt/qtwebchannel-5.12.3:5[qml] ) webp? ( media-libs/libwebp:= ) X? (
        x11-libs/libX11 x11-libs/libXcomposite x11-libs/libXrender )
      IUSE: geolocation gles2-only +gstreamer +hyphen +jit multimedia nsplugin opengl
        orientation +printsupport qml webp X
      RDEPEND: dev-db/sqlite:3 dev-libs/icu:= dev-libs/libxml2 dev-libs/libxslt >=dev-qt/qtcore-5.12.3:5
        >=dev-qt/qtgui-5.12.3:5 >=dev-qt/qtnetwork-5.12.3:5 >=dev-qt/qtwidgets-5.12.3:5=
        media-libs/libpng:0= media-libs/woff2 virtual/jpeg:0 geolocation? ( >=dev-qt/qtpositioning-5.12.3:5
        ) gstreamer? ( dev-libs/glib:2 media-libs/gstreamer:1.0 media-libs/gst-plugins-bad:1.0
        media-libs/gst-plugins-base:1.0 ) hyphen? ( dev-libs/hyphen ) multimedia?
        ( >=dev-qt/qtmultimedia-5.12.3:5[widgets] ) opengl? ( >=dev-qt/qtgui-5.12.3:5[gles2-only=]
        >=dev-qt/qtopengl-5.12.3:5[gles2-only=] ) orientation? ( >=dev-qt/qtsensors-5.12.3:5
        ) printsupport? ( >=dev-qt/qtprintsupport-5.12.3:5 ) qml? ( >=dev-qt/qtdeclarative-5.12.3:5
        >=dev-qt/qtwebchannel-5.12.3:5[qml] ) webp? ( media-libs/libwebp:= ) X? (
        x11-libs/libX11 x11-libs/libXcomposite x11-libs/libXrender )
      emerge.packages: dev-qt/qtwebkit:5
      kit: qt-kit
      original.package.name: dev-qt/qtwebkit
      original.package.slot: "5"
      original.package.version: 5.212.0_pre20200309-r2
    treedir: /build/packages
  package_dir: /pkgdir/qtwebkit
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 72ca23e92655283bc247b3363d9fea558d908c38e1add631f01764bf7c150ed3
compressiontype: zstd
files:
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qhttpheader_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qquicknetworkreply_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qquicknetworkrequest_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qquickurlschemedelegate_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qquickwebpage_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qquickwebpage_p_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qquickwebview_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qquickwebview_p_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qtwebsecurityorigin_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebchannelwebkittransport_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebdatabase_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebdownloaditem_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebdownloaditem_p_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebelement_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebhistory_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebiconimageprovider_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebkittest_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebloadrequest_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebnavigationhistory_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebnavigationhistory_p_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebnavigationrequest_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebpermissionrequest_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebplugindatabase_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebpreferences_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebpreferences_p_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebscriptworld_p.h
- usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebsecurityorigin_p.h
- usr/include/qt5/QtWebKit/QWebDatabase
- usr/include/qt5/QtWebKit/QWebElement
- usr/include/qt5/QtWebKit/QWebElementCollection
- usr/include/qt5/QtWebKit/QWebFullScreenRequest
- usr/include/qt5/QtWebKit/QWebFullScreenVideoHandler
- usr/include/qt5/QtWebKit/QWebHapticFeedbackPlayer
- usr/include/qt5/QtWebKit/QWebHistory
- usr/include/qt5/QtWebKit/QWebHistoryInterface
- usr/include/qt5/QtWebKit/QWebHistoryItem
- usr/include/qt5/QtWebKit/QWebKitPlatformPlugin
- usr/include/qt5/QtWebKit/QWebNotificationData
- usr/include/qt5/QtWebKit/QWebNotificationPresenter
- usr/include/qt5/QtWebKit/QWebPluginFactory
- usr/include/qt5/QtWebKit/QWebSecurityOrigin
- usr/include/qt5/QtWebKit/QWebSelectData
- usr/include/qt5/QtWebKit/QWebSelectMethod
- usr/include/qt5/QtWebKit/QWebSettings
- usr/include/qt5/QtWebKit/QWebSpellChecker
- usr/include/qt5/QtWebKit/QWebTouchModifier
- usr/include/qt5/QtWebKit/QtWebKit
- usr/include/qt5/QtWebKit/QtWebKitDepends
- usr/include/qt5/QtWebKit/QtWebKitVersion
- usr/include/qt5/QtWebKit/qtwebkitversion.h
- usr/include/qt5/QtWebKit/qwebdatabase.h
- usr/include/qt5/QtWebKit/qwebelement.h
- usr/include/qt5/QtWebKit/qwebfullscreenrequest.h
- usr/include/qt5/QtWebKit/qwebhistory.h
- usr/include/qt5/QtWebKit/qwebhistoryinterface.h
- usr/include/qt5/QtWebKit/qwebkitglobal.h
- usr/include/qt5/QtWebKit/qwebkitplatformplugin.h
- usr/include/qt5/QtWebKit/qwebpluginfactory.h
- usr/include/qt5/QtWebKit/qwebsecurityorigin.h
- usr/include/qt5/QtWebKit/qwebsettings.h
- usr/include/qt5/QtWebKitWidgets/5.212.0/QtWebKitWidgets/private/qwebframe_p.h
- usr/include/qt5/QtWebKitWidgets/5.212.0/QtWebKitWidgets/private/qwebinspector_p.h
- usr/include/qt5/QtWebKitWidgets/5.212.0/QtWebKitWidgets/private/qwebpage_p.h
- usr/include/qt5/QtWebKitWidgets/5.212.0/QtWebKitWidgets/private/qwebviewaccessible_p.h
- usr/include/qt5/QtWebKitWidgets/QGraphicsWebView
- usr/include/qt5/QtWebKitWidgets/QWebFrame
- usr/include/qt5/QtWebKitWidgets/QWebHitTestResult
- usr/include/qt5/QtWebKitWidgets/QWebInspector
- usr/include/qt5/QtWebKitWidgets/QWebPage
- usr/include/qt5/QtWebKitWidgets/QWebView
- usr/include/qt5/QtWebKitWidgets/QtWebKitWidgets
- usr/include/qt5/QtWebKitWidgets/QtWebKitWidgetsDepends
- usr/include/qt5/QtWebKitWidgets/QtWebKitWidgetsVersion
- usr/include/qt5/QtWebKitWidgets/qgraphicswebview.h
- usr/include/qt5/QtWebKitWidgets/qtwebkitwidgetsversion.h
- usr/include/qt5/QtWebKitWidgets/qwebframe.h
- usr/include/qt5/QtWebKitWidgets/qwebinspector.h
- usr/include/qt5/QtWebKitWidgets/qwebpage.h
- usr/include/qt5/QtWebKitWidgets/qwebview.h
- usr/lib64/cmake/Qt5WebKit/Qt5WebKitConfig.cmake
- usr/lib64/cmake/Qt5WebKit/Qt5WebKitConfigVersion.cmake
- usr/lib64/cmake/Qt5WebKit/WebKitTargets-gentoo.cmake
- usr/lib64/cmake/Qt5WebKit/WebKitTargets.cmake
- usr/lib64/cmake/Qt5WebKitWidgets/Qt5WebKitWidgetsConfig.cmake
- usr/lib64/cmake/Qt5WebKitWidgets/Qt5WebKitWidgetsConfigVersion.cmake
- usr/lib64/cmake/Qt5WebKitWidgets/Qt5WebKitWidgetsTargets-gentoo.cmake
- usr/lib64/cmake/Qt5WebKitWidgets/Qt5WebKitWidgetsTargets.cmake
- usr/lib64/libQt5WebKit.so
- usr/lib64/libQt5WebKit.so.5
- usr/lib64/libQt5WebKit.so.5.212.0
- usr/lib64/libQt5WebKitWidgets.so
- usr/lib64/libQt5WebKitWidgets.so.5
- usr/lib64/libQt5WebKitWidgets.so.5.212.0
- usr/lib64/pkgconfig/Qt5WebKit.pc
- usr/lib64/pkgconfig/Qt5WebKitWidgets.pc
- usr/lib64/qt5/libexec/QtWebNetworkProcess
- usr/lib64/qt5/libexec/QtWebProcess
- usr/lib64/qt5/libexec/QtWebStorageProcess
- usr/lib64/qt5/mkspecs/modules/qt_lib_webkit.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_webkit_private.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_webkitwidgets.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_webkitwidgets_private.pri
- usr/lib64/qt5/qml/QtWebKit/experimental/libqmlwebkitexperimentalplugin.so
- usr/lib64/qt5/qml/QtWebKit/experimental/qmldir
- usr/lib64/qt5/qml/QtWebKit/libqmlwebkitplugin.so
- usr/lib64/qt5/qml/QtWebKit/plugins.qmltypes
- usr/lib64/qt5/qml/QtWebKit/qmldir
- usr/share/doc/qtwebkit-5.212.0_pre20200309-r2/README.bz2
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/BDEPEND
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/BUILD_TIME
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/CATEGORY
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/CBUILD
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/CC
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/CFLAGS
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/CHOST
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/CONTENTS
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/COUNTER
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/CXXFLAGS
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/DEFINED_PHASES
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/DEPEND
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/DESCRIPTION
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/EAPI
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/FEATURES
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/HOMEPAGE
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/INHERITED
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/IUSE
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/KEYWORDS
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/LDFLAGS
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/LICENSE
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/NEEDED
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/PF
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/PROVIDES
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/RDEPEND
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/REQUIRES
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/SIZE
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/SLOT
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/USE
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/environment.bz2
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/qtwebkit-5.212.0_pre20200309-r2.ebuild
- var/db/pkg/dev-qt/qtwebkit-5.212.0_pre20200309-r2/repository
package_cacheimage: ""
runtime:
  name: qtwebkit
  version: 5.212.0_pre20200309-r2+2
  category: dev-qt-5
  use_flags:
  - -multimedia
  - -orientation
  - X
  - geolocation
  - gstreamer
  - hyphen
  - opengl
  - printsupport
  - qml
  - webp
  requires:
  - name: sqlite
    version: '>=0'
    category: dev-db-3
  - name: hyphen
    version: '>=0'
    category: dev-libs
  - name: libxslt
    version: '>=0'
    category: dev-libs
  - name: qtopengl
    version: '>=0'
    category: dev-qt-5
  - name: qtpositioning
    version: '>=0'
    category: dev-qt-5
  - name: qtprintsupport
    version: '>=0'
    category: dev-qt-5
  - name: qtwebchannel
    version: '>=0'
    category: dev-qt-5
  - name: gst-plugins-bad
    version: '>=0'
    category: media-libs-1.0
  - name: libwebp
    version: '>=0'
    category: media-libs
  - name: woff2
    version: '>=0'
    category: media-libs
  - name: libXcomposite
    version: '>=0'
    category: x11-libs
  - name: libXrender
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: WebKit rendering library for the Qt5 framework (deprecated)
  uri:
  - https://www.qt.io/
  license: BSD LGPL-2+
  labels:
    BDEPEND: '|| ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
      ) || ( dev-lang/ruby:2.7 ) virtual/rubygems dev-lang/perl dev-util/gperf >=sys-devel/bison-2.4.3
      sys-devel/flex virtual/pkgconfig dev-util/ninja dev-util/cmake'
    DEPEND: dev-db/sqlite:3 dev-libs/icu:= dev-libs/libxml2 dev-libs/libxslt >=dev-qt/qtcore-5.12.3:5
      >=dev-qt/qtgui-5.12.3:5 >=dev-qt/qtnetwork-5.12.3:5 >=dev-qt/qtwidgets-5.12.3:5=
      media-libs/libpng:0= media-libs/woff2 virtual/jpeg:0 geolocation? ( >=dev-qt/qtpositioning-5.12.3:5
      ) gstreamer? ( dev-libs/glib:2 media-libs/gstreamer:1.0 media-libs/gst-plugins-bad:1.0
      media-libs/gst-plugins-base:1.0 ) hyphen? ( dev-libs/hyphen ) multimedia? (
      >=dev-qt/qtmultimedia-5.12.3:5[widgets] ) opengl? ( >=dev-qt/qtgui-5.12.3:5[gles2-only=]
      >=dev-qt/qtopengl-5.12.3:5[gles2-only=] ) orientation? ( >=dev-qt/qtsensors-5.12.3:5
      ) printsupport? ( >=dev-qt/qtprintsupport-5.12.3:5 ) qml? ( >=dev-qt/qtdeclarative-5.12.3:5
      >=dev-qt/qtwebchannel-5.12.3:5[qml] ) webp? ( media-libs/libwebp:= ) X? ( x11-libs/libX11
      x11-libs/libXcomposite x11-libs/libXrender )
    IUSE: geolocation gles2-only +gstreamer +hyphen +jit multimedia nsplugin opengl
      orientation +printsupport qml webp X
    RDEPEND: dev-db/sqlite:3 dev-libs/icu:= dev-libs/libxml2 dev-libs/libxslt >=dev-qt/qtcore-5.12.3:5
      >=dev-qt/qtgui-5.12.3:5 >=dev-qt/qtnetwork-5.12.3:5 >=dev-qt/qtwidgets-5.12.3:5=
      media-libs/libpng:0= media-libs/woff2 virtual/jpeg:0 geolocation? ( >=dev-qt/qtpositioning-5.12.3:5
      ) gstreamer? ( dev-libs/glib:2 media-libs/gstreamer:1.0 media-libs/gst-plugins-bad:1.0
      media-libs/gst-plugins-base:1.0 ) hyphen? ( dev-libs/hyphen ) multimedia? (
      >=dev-qt/qtmultimedia-5.12.3:5[widgets] ) opengl? ( >=dev-qt/qtgui-5.12.3:5[gles2-only=]
      >=dev-qt/qtopengl-5.12.3:5[gles2-only=] ) orientation? ( >=dev-qt/qtsensors-5.12.3:5
      ) printsupport? ( >=dev-qt/qtprintsupport-5.12.3:5 ) qml? ( >=dev-qt/qtdeclarative-5.12.3:5
      >=dev-qt/qtwebchannel-5.12.3:5[qml] ) webp? ( media-libs/libwebp:= ) X? ( x11-libs/libX11
      x11-libs/libXcomposite x11-libs/libXrender )
    emerge.packages: dev-qt/qtwebkit:5
    kit: qt-kit
    original.package.name: dev-qt/qtwebkit
    original.package.slot: "5"
    original.package.version: 5.212.0_pre20200309-r2
